Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Carlos O'Donell <[email-masked]>
Date: Tue, 8 Dec 2020 17:12:41 -0500

On 12/8/20 4:50 PM, Trevor Bentley wrote:
> Trevor Bentley <[email-masked]> writes:
> 
> I'm back with 5 mtraces:
> 
> https://trevorbentley.com/mtrace/
> 
> Keep in mind that these things compress well, so the largest one is on the order of 45GB when decompressed.
> 
> These are from various emacs instances, some running the emacs-slack package and others just editing elisp code.  All inflated to several gigabytes of heap over 1-4 days.
> 
> Log files similar to the ones I've been posting in this thread are in the archives.  I don't think there's any point of including them here anymore, as they're all about the same.
> 
> I've been too busy to modify emacs to print garbage collects, but these still show really long (garbage-collect) calls, often exceeding 15 minutes.
> 
> Last thing: I've had one unused (graphical) emacs session running for 16 days now, minimized.  It's still at 57MB RSS.  I can definitively say that the leak doesn't occur unless emacs is actively used, for all the good that does us.

I'm fetching this trace for analysis:
https://trevorbentley.com/mtrace/mtrace9.tar.bz2

-- 
Cheers,
Carlos.